import * as $dara from '@darabonba/typescript';
export declare class GetClusterRuleSummaryRequest extends $dara.Model {
    /**
     * @remarks
     * The ID of the container cluster.
     *
     * >  You can call the [DescribeGroupedContainerInstances](~~DescribeGroupedContainerInstances~~) operation to query the IDs of container clusters.
     *
     * This parameter is required.
     *
     * @example
     * cc49d88d1exxx
     */
    clusterId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
